Package org.bukkit.event.server

# Enum Class ServerLoadEvent.LoadType

java.lang.Object
java.lang.Enum<ServerLoadEvent.LoadType>
org.bukkit.event.server.ServerLoadEvent.LoadType

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerLoadEvent.LoadType>`, `Constable`

Enclosing class:
  ServerLoadEvent

public static enum ServerLoadEvent.LoadType extends Enum<ServerLoadEvent.LoadType>
Represents the context in which the enclosing event has been completed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RELOAD`
`STARTUP`

## Method Summary

Modifier and Type
Method
Description
`static ServerLoadEvent.LoadType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerLoadEvent.LoadType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STARTUP

public static final ServerLoadEvent.LoadType STARTUP

### RELOAD

public static final ServerLoadEvent.LoadType RELOAD

## Method Details

### values

public static ServerLoadEvent.LoadType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ServerLoadEvent.LoadType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null